Skip to main content
GET
/
networks
/
billings
/
affiliates
/
invoices
/
{invoiceId}
Get Partner Invoice
curl --request GET \
  --url https://api.eflow.team/v1/networks/billings/affiliates/invoices/{invoiceId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_affiliate_invoice_id": 123,
  "network_id": 123,
  "network_affiliate_id": 123,
  "status": "paid",
  "start_time": "<string>",
  "end_time": "<string>",
  "timezone_id": 123,
  "balance": 123,
  "currency_id": "<string>",
  "payment_terms": 123,
  "is_hidden_affiliate": true,
  "public_notes": "<string>",
  "internal_notes": "<string>",
  "time_created": 1734455015,
  "time_saved": 1734455015,
  "relationship": {
    "affiliate": {},
    "details": [
      {
        "network_affiliate_invoice_detail_id": 123,
        "network_affiliate_invoice_id": 123,
        "network_offer_id": 123,
        "network_offer_name": "<string>",
        "amount": 123,
        "invoice_currency_amount": 123,
        "currency_id": "<string>",
        "notes": "<string>",
        "quantity": 123,
        "time_created": 1734455015,
        "time_saved": 1734455015,
        "referral_history_id": 123,
        "type": "<string>"
      }
    ],
    "payments": [
      {
        "network_affiliate_payment_id": 123,
        "network_id": 123,
        "network_affiliate_invoice_id": 123,
        "status": "<string>",
        "payment_type": "<string>",
        "notes": "<string>",
        "confirmation_code": "<string>",
        "amount": 123,
        "currency": "<string>",
        "unix_timestamp": 1734455015,
        "tax_id": "<string>",
        "is_auto_generated": true,
        "debug_info": "<string>",
        "relationship": {
          "employee": {}
        },
        "payee_original_amount": 123,
        "payee_fee_amount": 123,
        "payee_currency": "<string>",
        "time_approved": 1734455015,
        "time_completed": 1734455015
      }
    ]
  },
  "details": [
    {
      "network_affiliate_invoice_detail_id": 123,
      "network_affiliate_invoice_id": 123,
      "network_offer_id": 123,
      "network_offer_name": "<string>",
      "amount": 123,
      "invoice_currency_amount": 123,
      "currency_id": "<string>",
      "notes": "<string>",
      "quantity": 123,
      "time_created": 1734455015,
      "time_saved": 1734455015,
      "referral_history_id": 123,
      "type": "<string>"
    }
  ],
  "extra_periods": [
    {}
  ]
}
Retrieve a single partner invoice by its ID. Use the relationship query parameter to include line items and other related data.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

invoiceId
integer
required

The unique invoice ID.

Query Parameters

relationship
enum<string>

Include additional related data in the response. The details and payments relationships are always returned. Use affiliate to add the affiliate object, or all to include everything.

Available options:
affiliate,
all

Response

network_affiliate_invoice_id
integer

Unique invoice ID.

network_id
integer

Network ID.

network_affiliate_id
integer

The ID of the partner that was invoiced.

status
enum<string>

Invoice status.

Available options:
paid,
unpaid,
deleted
start_time
string

Invoice period start date.

end_time
string

Invoice period end date.

timezone_id
integer

Timezone ID for the invoice period.

balance
number<double>

Outstanding balance.

currency_id
string

Currency code (e.g. USD).

payment_terms
integer

Number of days for the affiliate payment term (e.g. 20 for NET 20).

is_hidden_affiliate
boolean

Whether the invoice is visible to the partner or not.

public_notes
string

Notes visible to both network employees and the invoiced partner.

internal_notes
string

Notes visible to network employees but not the invoiced partner.

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

relationship
object

Related data. The details and payments keys are always included. The affiliate key is included when relationship=affiliate or relationship=all is passed.

details
object[] | null

Invoice line items (root-level, nullable).

extra_periods
object[] | null

Additional billing periods associated with this invoice.